## aodh 21.0.0

=== requirements.txt ===
# Requirements lower bounds listed here are our best effort to keep them up to
# date but we do not test them so no guarantee of having them all correct. If
# you find any incorrect lower bounds, let us know or propose a fix.

tenacity>=3.2.1 # Apache-2.0
croniter>=0.3.4 # MIT License
futurist>=0.11.0 # Apache-2.0
jsonschema>=3.2.0 # MIT
keystonemiddleware>=5.1.0 # Apache-2.0
gnocchiclient>=6.0.0 # Apache-2.0
lxml>=2.3 # BSD
oslo.db>=11.0.0 # Apache-2.0
oslo.config>=6.8.0 # Apache-2.0
oslo.i18n>=1.5.0 # Apache-2.0
oslo.log>=4.3.0 # Apache-2.0
oslo.reports>=1.18.0 # Apache-2.0
oslo.policy>=4.5.0 # Apache-2.0
oslo.upgradecheck>=1.3.0 # Apache-2.0
PasteDeploy>=1.5.0 # MIT
pbr>=2.0.0 # Apache-2.0
pecan>=0.8.0 # BSD
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.22.0 # Apache-2.0
oslo.utils>=4.7.0 # Apache-2.0
python-keystoneclient>=1.6.0 # Apache-2.0
requests>=2.5.2 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
SQLAlchemy>=1.4.1 # MIT
tooz>=1.28.0 # Apache-2.0
voluptuous>=0.8.10 # BSD
WebOb>=1.2.3 # MIT
WSME>=0.12.1 # MIT
cachetools>=1.1.6 # MIT
cotyledon>=1.7.3 # Apache-2.0
keystoneauth1>=2.1 # Apache-2.0
python-observabilityclient>=0.0.4 # Apache-2.0
python-octaviaclient>=1.8.0 # Apache-2.0
python-dateutil>=2.5.3 # BSD
python-heatclient>=1.17.0 # Apache-2.0
tzdata>=2022.4 # MIT

=== doc/requirements.txt ===
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.1.1 # BSD
sphinxcontrib-httpdomain>=1.8.1 # BSD
sphinxcontrib-pecanwsme>=0.10.0 # BSD

=== debian/changelog ===
aodh (1:21.0.0-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125956).

 -- Guillaume Boutry <guillaume.boutry@canonical.com>  Wed, 01 Oct 2025 15:44:20 +0200

aodh (1:21.0.0~rc1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2122726).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.

 -- Myles Penner <myles.penner@canonical.com>  Thu, 18 Sep 2025 10:23:09 -0700

=== debian/control ===
Source: aodh
Section: web
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper-compat (= 13),
 dh-apache2,
 dh-python,
 apache2-dev,
 openstack-pkg-tools (>= 119ubuntu1~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.1.1),
Build-Depends-Indep:
 crudini,
 python3-babel,
 python3-cachetools (>= 1.1.6),
 python3-cotyledon (>= 1.7.3),
 python3-croniter (>= 0.3.4),
 python3-dateutil (>= 2.5.3),
 python3-debtcollector (>= 1.2.0),
 python3-fixtures (>= 1.3.1),
 python3-futurist (>= 0.11.0),
 python3-gabbi (>= 1.30.0),
 python3-gnocchiclient (>= 6.0.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-observabilityclient,
 python3-octaviaclient (>= 1.8.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-oslosphinx,
 python3-oslotest (>= 1:2.15.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pecan (>= 0.8.0),
 python3-psycopg2,
 python3-pymysql,
 python3-reno,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-sphinxcontrib-pecanwsme (>= 0.10.0),
 python3-sphinxcontrib.httpdomain (>= 1.8.1),
 python3-sqlalchemy (>= 1.4.1),
 python3-sqlalchemy-utils (>= 0.39.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.5.0),
 python3-tempest,
 python3-tenacity (>= 3.2.1),
 python3-testresources (>= 2.0.0),
 python3-testscenarios,
 python3-tooz (>= 1.28.0),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-webtest (>= 3.0.0),
 python3-werkzeug,
 python3-wsme (>= 0.12.1),
 subunit,
 testrepository,
 tzdata-legacy,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/aodh
Homepage: https://opendev.org/openstack/aodh
Testsuite: autopkgtest-pkg-python

Package: aodh-api
Architecture: all
Depends:
 adduser,
 apache2 | httpd,
 libapache2-mod-wsgi-py3,
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - API server
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the API service.

Package: aodh-common
Architecture: all
Depends:
 dpkg-dev,
 adduser,
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - common files
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains files that are needed for all parts of Aodh.

Package: aodh-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: OpenStack efficient metering counters system - doc
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the documentation.

Package: aodh-evaluator
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm evaluator
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm evaluator daemon.

Package: aodh-expirer
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - expirer
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the expirer. it is the script that handles time-to-live
 support, when it is not natively supported by the database backend.

Package: aodh-listener
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - listener
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the listener daemon: it does an alarm on an event.

Package: aodh-notifier
Architecture: all
Depends:
 lsb-base,
 python3-aodh (= ${binary:Version}),
 ${misc:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - alarm notifier
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the alarm notifier daemon.

Package: python3-aodh
Section: python
Architecture: all
Depends:
 aodh-common (= ${binary:Version}),
 python3-cachetools (>= 1.1.6),
 python3-cotyledon (>= 1.7.3),
 python3-croniter (>= 0.3.4),
 python3-dateutil (>= 2.5.3),
 python3-debtcollector (>= 1.2.0),
 python3-futurist (>= 0.11.0),
 python3-gnocchiclient (>= 6.0.0),
 python3-heatclient (>= 1.17.0),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 2.1),
 python3-keystoneclient (>= 1:1.6.0),
 python3-keystonemiddleware (>= 5.1.0),
 python3-lxml (>= 2.3),
 python3-octaviaclient (>= 1.8.0),
 python3-openstackclient,
 python3-oslo.config (>= 1:6.8.0),
 python3-oslo.context (>= 1:2.22.0),
 python3-oslo.db (>= 11.0.0),
 python3-oslo.i18n (>= 1.5.0),
 python3-oslo.log (>= 4.3.0),
 python3-oslo.messaging (>= 5.2.0),
 python3-oslo.middleware (>= 3.22.0),
 python3-oslo.policy (>= 4.5.0),
 python3-oslo.reports (>= 1.18.0),
 python3-oslo.upgradecheck (>= 1.3.0),
 python3-oslo.utils (>= 4.7.0),
 python3-pastedeploy (>= 1.5.0),
 python3-pbr (>= 2.0.0),
 python3-pecan (>= 0.8.0),
 python3-pymysql,
 python3-requests (>= 2.5.2),
 python3-retrying,
 python3-sqlalchemy (>= 1.4.1),
 python3-stevedore (>= 1:1.5.0),
 python3-tenacity (>= 3.2.1),
 python3-tooz (>= 1.28.0),
 python3-voluptuous (>= 0.8.10),
 python3-webob (>= 1:1.2.3),
 python3-werkzeug,
 python3-wsme (>= 0.12.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack Telemetry (Ceilometer) Alarming - Python 3 libraries
 Ceilometer aims to deliver a Single Point Of Contact for billing systems,
 providing all the counters they need to establish customer billing, across
 all current and future OpenStack components. The delivery of counters must be
 traceable and auditable, the counters must be easily extensible to support new
 projects, and agents doing data collections should be independent of the
 overall system.
 .
 (A ceilometer is an instrument that measures cloud coverage.)
 .
 This package contains the Python 3 libraries that are needed for all parts of
 Aodh.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#expose DH_VERBOSE=1

export HOME="$(CURDIR)/debian/test"
SHELL := /bin/sh -e

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with apache2,python3,sphinxdoc --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf .testrepository

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_install:
	mkdir -p $(CURDIR)/debian/tmp/etc/aodh
	PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$(CURDIR)/aodh/cmd/aodh-config-generator.conf \
		--output-file=$(CURDIR)/debian/tmp/etc/aodh/aodh.conf
	crudini --merge $(CURDIR)/debian/tmp/etc/aodh/aodh.conf < $(CURDIR)/debian/aodh.conf.dist
	dh_install -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini
	dh_missing --fail-missing -Xusr/etc/aodh/aodh-config-generator.conf -Xusr/bin/aodh-api \
		-Xusr/etc/aodh/policy.json -Xusr/etc/aodh/api_paste.ini

override_dh_auto_clean:
	dh_auto_clean
	rm -rf .testrepository
	find . -iname '*.pyc' -delete
	rm -f debian/*.init debian/*.service debian/*.upstart

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'aodh\.tests\.unit.(?!test_bin.*)'
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html
	mkdir -p $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static
	touch $(CURDIR)/debian/aodh-doc/usr/share/doc/aodh-doc/html/_static/toggle.js
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests:
 aodh-daemons,
Depends:
 aodh-evaluator,
 aodh-expirer,
 aodh-listener,
 aodh-notifier,
 rabbitmq-server,
Restrictions:
 needs-root,

=== debian/watch ===
version=3
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/,pgpsigurlmangle=s/$/.asc/ \
 https://tarballs.opendev.org/openstack/aodh/ aodh-(\d.*)\.tar\.gz

## aodh 21.0.0+git20260218.38.d7e8427e

=== requirements.txt ===
--- 
+++ 
@@ -33,7 +33,7 @@
 cachetools>=1.1.6 # MIT
 cotyledon>=1.7.3 # Apache-2.0
 keystoneauth1>=2.1 # Apache-2.0
-python-observabilityclient>=0.0.4 # Apache-2.0
+python-observabilityclient>=1.1.0 # Apache-2.0
 python-octaviaclient>=1.8.0 # Apache-2.0
 python-dateutil>=2.5.3 # BSD
 python-heatclient>=1.17.0 # Apache-2.0

=== debian/changelog ===
aodh (1:21.0.0+git20260218.38.d7e8427e-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 21.0.0+git2026010809.afcbebb4
  * d/watch: update for new upstream
  * d/u/signing-key.asc: remove for snapshot
  * d/patches/*: refresh patches
  * New upstream snapshot from d7e8427e58213bedff1c3d72f21efa8d54ca0880
    for OpenStack Gazpacho (LP: #2137590).

 -- Myles Penner <myles.penner@canonical.com>  Fri, 20 Feb 2026 08:28:44 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/ \
 https://tarballs.opendev.org/openstack/aodh/ aodh-(\d.*)\.tar\.gz
